Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.oracleappsadapter.appconn
Class OracleappsApplicationConnection

    com.stc.connector.oracleappsadapter.appconn.DbApplicationConnection
      |
      +--com.stc.connector.oracleappsadapter.appconn.OracleappsApplicationConnection

public class OracleappsApplicationConnection
extends DbApplicationConnection

This class implements the ApplicationConnection interface for the Db Application Connection.

Fields inherited from class com.stc.connector.oracleappsadapter.appconn.DbApplicationConnection
`mDbConnector`

Constructor Summary
`OracleappsApplicationConnection(javax.sql.DataSource ds)` Creates a new instance of OracleappsApplicationConnection .
`OracleappsApplicationConnection(javax.sql.DataSource ds, java.util.Properties connProps)` Creates a new instance of OracleappsApplicationConnection .

Method Summary
`DbConnector` | `getDbConnector()` Parameters:None.

Methods inherited from class com.stc.connector.oracleappsadapter.appconn.DbApplicationConnection
`close, createApplication, createOutputHandler`

Constructor Detail

### OracleappsApplicationConnection

    public OracleappsApplicationConnection(javax.sql.DataSource ds)

  Creates a new instance of OracleappsApplicationConnection .

  Parameters:
    `ds` - the ManagedConnection which created this connection. In database, this is the DataSource.

### OracleappsApplicationConnection

    public OracleappsApplicationConnection(javax.sql.DataSource ds,
                                           java.util.Properties connProps)

  Creates a new instance of OracleappsApplicationConnection .

  Parameters:
    `ds` - the ManagedConnection which created this connection. In database, this is the DataSource.
    `connProps` - connection properties. An example is user name.

Method Detail

### getDbConnector

    public DbConnector getDbConnector()

  Parameters:
    None.
  Returns:
    `void` - None.
  Throws:
    None.

Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2004 by SeeBeyond Technology Corporation. All Rights Reserved.